Package org.italiangrid.voms.request.impl

# Class BaseVOMSESLookupStrategy

java.lang.Object
org.italiangrid.voms.request.impl.BaseVOMSESLookupStrategy

All Implemented Interfaces:
  `VOMSESLookupStrategy`

Direct Known Subclasses:
  `DefaultVOMSESLookupStrategy`

public class BaseVOMSESLookupStrategy extends Object implements VOMSESLookupStrategy
A base VOMSES lookup strategy which just run a existence check on a given list of paths.

Author:
  Andrea Ceccanti

## Constructor Summary

Constructors
Constructor
Description
`BaseVOMSESLookupStrategy()`
`BaseVOMSESLookupStrategy(List<String> checkedPaths)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPath(String vomsesPath)`
`List<File>`
`lookupVomsesInfo()`
`List<String>`
`searchedPaths()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaseVOMSESLookupStrategy

public BaseVOMSESLookupStrategy()

### BaseVOMSESLookupStrategy

public BaseVOMSESLookupStrategy(List<String> checkedPaths)

## Method Details

### lookupVomsesInfo

public List<File> lookupVomsesInfo()

Specified by:
  `lookupVomsesInfo` in interface `VOMSESLookupStrategy`
Returns:
  a `List` of `File` objects that can be used to parse VOMSES information.

### searchedPaths

public List<String> searchedPaths()

Specified by:
  `searchedPaths` in interface `VOMSESLookupStrategy`
Returns:
  a `List` of the paths that have been looked up to find `File` objects that can be used to parse VOMSES information.

### addPath

public void addPath(String vomsesPath)